Package com.io7m.jcamera

# Interface JCameraSphericalReadableType

All Superinterfaces:
  `JCameraReadableType`

All Known Subinterfaces:
  `JCameraSphericalSnapshotType`, `JCameraSphericalType`

All Known Implementing Classes:
  `JCameraSpherical`, `JCameraSphericalSnapshot`

public interface JCameraSphericalReadableType extends JCameraReadableType
Readable interface to `JCameraSphericalType`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `cameraGetAngleHeading()`
  `double`
  `cameraGetAngleIncline()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetForward()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetForwardProjectedOnXZ()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetPosition()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetRight()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetTargetPosition()`
  `com.io7m.jtensors.core.unparameterized.vectors.Vector3D`
  `cameraGetUp()`
  `double`
  `cameraGetZoom()`

  ### Methods inherited from interface com.io7m.jcamera.JCameraReadableType

  `cameraMakeViewMatrix, cameraMakeViewPMatrix`

- ## Method Details

  - ### cameraGetAngleHeading

    double cameraGetAngleHeading()
    Returns:
      The angle around the vertical axis.

  - ### cameraGetAngleIncline

    double cameraGetAngleIncline()
    Returns:
      The angle around the horizontal axis.

  - ### cameraGetForward

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward()
    Returns:
      The forward direction for the camera.

  - ### cameraGetForwardProjectedOnXZ

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForwardProjectedOnXZ()
    Returns:
      The forward direction for the camera, projected onto the X/Z plane.

  - ### cameraGetPosition

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition()
    Returns:
      The position of the camera.

  - ### cameraGetRight

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight()
    Returns:
      The right direction for the camera.

  - ### cameraGetTargetPosition

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetTargetPosition()
    Returns:
      The position of the camera target.

  - ### cameraGetUp

    com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp()
    Returns:
      The up direction for the camera.

  - ### cameraGetZoom

    double cameraGetZoom()
    Returns:
      The zoom (or radius) of the camera.